#if !defined(AFX_SERVERSOCKET_H__86659714_8DB4_4F92_8C88_A8CE96E58A20__INCLUDED_)
#define AFX_SERVERSOCKET_H__86659714_8DB4_4F92_8C88_A8CE96E58A20__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ServerSocket.h : header file
//
#include "ClientSocket.h"
#include <vector>

/////////////////////////////////////////////////////////////////////////////
// CServerSocket command target

class CServerSocket : public CSocket
{
// Attributes
public:
    enum server_states
    {
        login,
        war,
    };
    basic_arena & arena;
    codewar::war_parameters_struct war_parameters; 
    server_states state;
    std::vector<CClientSocket *> clients;
// Operations
public:
    CServerSocket(basic_arena & a);
	virtual ~CServerSocket();

// Overrides
public:
	void SendFeedbackToClients();
	void RandomizeCreatureLocations();
	void MakeTurn(bool force = false);
    void GetSightedCreatureInfo(codewar::sighted_creature_info & creature_info, short species, short id);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CServerSocket)
	public:
	virtual void OnAccept(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CServerSocket)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERVERSOCKET_H__86659714_8DB4_4F92_8C88_A8CE96E58A20__INCLUDED_)
